class CSSRule

# class CSSRule | The `CSSRule` interface is the abstract base interface for any type of CSS More...
Full name | `DOM::CSSRule`
Definition | `#include <css_rule.h>`
Inherited by | CSSCharsetRule, CSSFontFaceRule, CSSImportRule, CSSMediaRule, CSSPageRule, CSSStyleRule, CSSUnknownRule
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum RuleType { UNKNOWN_RULE = 0, STYLE_RULE = 1, CHARSET_RULE = 2, IMPORT_RULE = 3, MEDIA_RULE = 4, FONT_FACE_RULE = 5, PAGE_RULE = 6 }

#### Public Methods

- CSSRule ()
- CSSRule (const CSSRule &other)
- CSSRule (CSSRuleImpl *impl)
- CSSRule & operator = (const CSSRule &other)
- ~CSSRule ()
- unsigned short type () const
- DOM::DOMString cssText () const
- void setCssText ( const DOM::DOMString & )
- CSSStyleSheet parentStyleSheet () const
- CSSRule parentRule () const
- CSSRuleImpl * handle () const
- bool isNull () const

#### Protected Methods

- void assignOther ( const CSSRule &other, RuleType thisType )

#### Protected Members

- CSSRuleImpl *impl

## Detailed Description

The `CSSRule` interface is the abstract base interface for any type of CSS statement . This includes both rule sets and at-rules . An implementation is expected to preserve all rules specified in a CSS style sheet, even if it is not recognized. Unrecognized rules are represented using the `CSSUnknownRule` interface.

CSSRule () | ### CSSRule

CSSRule (const CSSRule &other) | ### CSSRule

CSSRule (CSSRuleImpl *impl) | ### CSSRule

CSSRule & operator = (const CSSRule &other) | ### operator =

~CSSRule () | ### ~CSSRule

enum RuleType { UNKNOWN_RULE = 0, STYLE_RULE = 1, CHARSET_RULE = 2, IMPORT_RULE = 3, MEDIA_RULE = 4, FONT_FACE_RULE = 5, PAGE_RULE = 6 } | ### RuleType

An integer indicating which type of rule this is.

unsigned short type () | ### type

[const]

The type of the rule, as defined above. The expectation is that binding-specific casting methods can be used to cast down from an instance of the `CSSRule` interface to the specific derived interface implied by the `type` .

DOM::DOMString cssText () | ### cssText

[const]

The parsable textual representation of the rule. This reflects the current state of the rule and not its initial value.

void setCssText ( const DOM::DOMString & ) | ### setCssText

see cssText

HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted at this point in the style sheet.

NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

INVALID_MODIFICATION_ERR: Raised if the specified CSS string value represents a different type of rule than the current one.

Throws: DOMException, CSSException, SYNTAX_ERR:, Raised, if, the, specified, CSS, string, value, has, a, syntax, error, and, is, unparsable.

CSSStyleSheet parentStyleSheet () | ### parentStyleSheet

[const]

The style sheet that contains this rule.

CSSRule parentRule () | ### parentRule

[const]

If this rule is contained inside another rule (e.g. a style rule inside an @media block), this is the containing rule. If this rule is not nested inside any other rules, this returns `null` .

CSSRuleImpl * handle () | ### handle

[const]

not part of the DOM

bool isNull () | ### isNull

[const]

CSSRuleImpl * impl | ### impl

[protected]

void assignOther ( const CSSRule &other, RuleType thisType ) | ### assignOther

[protected]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:43 2003, using kdoc 2.0a54.